#region Using Statements
using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace ParticleSystem
{
    public class ParticleSystemSettings
    {
        public Texture2D Texture;

        public float RotateAmount;
        public bool RunOnce = false;

        public Vector3 ExternalForce;

        public int Capacity;

        public Vector3 EmitPosition;
        public Vector2 EmitRadius = Vector2.Zero;
        public Vector3 EmitRange;
        public int EmitPerSecond;

        public Vector3 MinimumVelocity;
        public Vector3 MaximumVelocity;

        public Vector3 MinimumAcceleration;
        public Vector3 MaximumAcceleration;

        public float MinimumLifetime;
        public float MaximumLifetime;

        public float MinimumSize;
        public float MaximumSize;

        public Color[] Colors;
        public bool DisplayColorsInOrder;
    }
}